Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.Path

Extends fabric.Object.
Path
Defined in: path.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Path()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type

Fields borrowed from class fabric.Object:
  FX_DURATION, FX_TRANSITION, includeDefaultValues, MIN_SCALE_LIMIT, NUM_FRACTION_DIGITS, options, rotate, stateProperties

Method Summary
Method Attributes | Method Name and Description
--- | ---
| complexity() Returns number representation of an instance complexity
<static> | fabric.Path.fromElement(element, options) Creates an instance of fabric.Path from an SVG element
<static> | fabric.Path.fromObject(object) Creates an instance of fabric.Path from an object
| initialize(path, options) Constructor
| render(ctx, noTransform)
| set(prop, value)
| toDatalessObject()
| toObject()
| toString() Returns string representation of an instance

Methods borrowed from class fabric.Object:
  callSuper, clone, cloneAsImage, drawBorders, drawCorners, fxRemove, fxStraighten, get, getAngle, getCenter, getHeight, getWidth, hasStateChanged, intersectsWithObject, intersectsWithRect, isActive, isContainedWithinRect, isType, saveState, scale, scaleToHeight, scaleToWidth, setActive, setAngle, setCoords, setOpacity, setOptions, setSourcePath, straighten, toDataURL, toggle, toGrayscale, toJSON, transform

Class Detail
fabric.Path()
Field Detail
{String} type
Method Detail
{Number} complexity()
Returns number representation of an instance complexity

Returns:
  {Number} complexity

<static> {fabric.Path} fabric.Path.fromElement(element, options)
Creates an instance of fabric.Path from an SVG element

Parameters:
{SVGElement} element
  to parse
{Object} options
  object

Returns:
  {fabric.Path} Instance of fabric.Path

<static> {fabric.Path} fabric.Path.fromObject(object)
Creates an instance of fabric.Path from an object

Parameters:
object

Returns:
  {fabric.Path} Instance of fabric.Path

initialize(path, options)
Constructor

Parameters:
{Array|String} path
  Path data (sequence of coordinates and corresponding "command" tokens)
{Object} options Optional
  Options object

render(ctx, noTransform)

Parameters:
ctx
noTransform

set(prop, value)

Parameters:
prop
value

{Object} toDatalessObject()

Returns:
  {Object}

{Object} toObject()

Returns:
  {Object}

{String} toString()
Returns string representation of an instance

Returns:
  {String} string representation of an instance

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)